> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Call

> POST /calls

`POST /calls`

Base URL: `https://crm.universal.rollout.com/api`

## Parameters

No parameters.

## Responses

| Status | Description |
| ------ | ----------- |
| `201`  | Created     |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/crm.json POST /calls`


## OpenAPI

````yaml /openapi/crm.json POST /calls
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /calls:
    post:
      tags:
        - Calls
      summary: Create Call
      operationId: post_calls
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                personId:
                  type: string
                userId:
                  type: string
                phone:
                  type: string
                note:
                  type: string
                isIncoming:
                  type: boolean
                outcome:
                  type: string
                duration:
                  type: number
                toNumber:
                  type: string
                fromNumber:
                  type: string
                recordingUrl:
                  type: string
              required:
                - personId
                - phone
                - isIncoming
          multipart/form-data:
            schema:
              type: object
              properties:
                personId:
                  type: string
                userId:
                  type: string
                phone:
                  type: string
                note:
                  type: string
                isIncoming:
                  type: boolean
                outcome:
                  type: string
                duration:
                  type: number
                toNumber:
                  type: string
                fromNumber:
                  type: string
                recordingUrl:
                  type: string
              required:
                - personId
                - phone
                - isIncoming
          text/plain:
            schema:
              type: object
              properties:
                personId:
                  type: string
                userId:
                  type: string
                phone:
                  type: string
                note:
                  type: string
                isIncoming:
                  type: boolean
                outcome:
                  type: string
                duration:
                  type: number
                toNumber:
                  type: string
                fromNumber:
                  type: string
                recordingUrl:
                  type: string
              required:
                - personId
                - phone
                - isIncoming
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  phone:
                    type: string
                  note:
                    type: string
                  isIncoming:
                    type: boolean
                  outcome:
                    type: string
                  duration:
                    anyOf:
                      - type: number
                    nullable: true
                  toNumber:
                    anyOf:
                      - type: string
                    nullable: true
                  fromNumber:
                    anyOf:
                      - type: string
                    nullable: true
                  recordingUrl:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    type: string
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - userId
                  - phone
                  - note
                  - isIncoming
                  - outcome
                  - duration
                  - toNumber
                  - fromNumber
                  - recordingUrl
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  phone:
                    type: string
                  note:
                    type: string
                  isIncoming:
                    type: boolean
                  outcome:
                    type: string
                  duration:
                    anyOf:
                      - type: number
                    nullable: true
                  toNumber:
                    anyOf:
                      - type: string
                    nullable: true
                  fromNumber:
                    anyOf:
                      - type: string
                    nullable: true
                  recordingUrl:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    type: string
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - userId
                  - phone
                  - note
                  - isIncoming
                  - outcome
                  - duration
                  - toNumber
                  - fromNumber
                  - recordingUrl
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  phone:
                    type: string
                  note:
                    type: string
                  isIncoming:
                    type: boolean
                  outcome:
                    type: string
                  duration:
                    anyOf:
                      - type: number
                    nullable: true
                  toNumber:
                    anyOf:
                      - type: string
                    nullable: true
                  fromNumber:
                    anyOf:
                      - type: string
                    nullable: true
                  recordingUrl:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    type: string
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - userId
                  - phone
                  - note
                  - isIncoming
                  - outcome
                  - duration
                  - toNumber
                  - fromNumber
                  - recordingUrl
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
          description: Created
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````